#ifndef GUARD_HH__
#define GUARD_HH__

#include "Mutex.hh"

class Guard {
	Mutex& mutex_;
public:
	Guard(Mutex& mutex)
		:mutex_(mutex)
	{
		mutex_.lock();
	}
	
	~Guard() {
		mutex_.unlock();
	}
};

#endif
